Difference between revisions of "Buildroot:Python2Packages"

From eLinux.org
Jump to: navigation, search
m (Non Python packages)
m (Non Python packages)
Line 6: Line 6:
  
 
* alsa-lib (install Python module with option BR2_PACKAGE_ALSA_LIB_PYTHON): To be tested
 
* alsa-lib (install Python module with option BR2_PACKAGE_ALSA_LIB_PYTHON): To be tested
* crudini: currently in v0.9, can be bumped to 0.9.3 which adds py3 support. Patch series pending: https://patchwork.ozlabs.org/project/buildroot/list/?series=156917
+
* crudini: <s>currently in v0.9, can be bumped to 0.9.3 which adds py3 support. Patch series pending: https://patchwork.ozlabs.org/project/buildroot/list/?series=156917</s> DONE !
 
* <s>dstat: currently in v0.7.3, can be bumped to v0.7.4 which adds py3 support</s> DONE!
 
* <s>dstat: currently in v0.7.3, can be bumped to v0.7.4 which adds py3 support</s> DONE!
 
* <s>fail2ban: at a first glance, does not seem to support Python3 !</s> Support was added in commit 2d666026385573286371a0f5d9f4b5e0d80f723b
 
* <s>fail2ban: at a first glance, does not seem to support Python3 !</s> Support was added in commit 2d666026385573286371a0f5d9f4b5e0d80f723b

Revision as of 08:24, 5 February 2020

In an effort to follow the Python2 deprecation on the 1st of January 2020, here is a listing of current Buildroot packages that depend on Python2 (as of master during the Buildroot developer days at ELCE2019)

Non Python packages

These packages integrate with Python2: either they contain scripts written in Python, or they install Python libraries as byproducts.

Python packages

(TBD) These packages are Python libraries that can then be imported by Python scripts

Python in the build system

These packages use Python in their build process (hence requiring host-python)

waf

The waf build system in itself is now compatible with Python3; but the wscript (build definition file) provided by some packages is still syntactically incompatible with Python3. Because Buildroot has a dedicated waf infrastructure, it is difficult to handle each of these packages individually: the `waf-package` infrastructure in itself depends on host-python, and we cannot upgrade it to host-python3 until all the waf packages can actually be built under Python3 only. Buildroot currently has the following waf-based packages, and all of them are now Python3 ready:

We can therefore now make the waf-package infrastructure use Python3, as submitted in this patch: https://patchwork.ozlabs.org/patch/1233581/

Scons

Similarly to waf, SCons in itself is compatible with Python3, but build definition files can be Python3 incompatible. However, because there is no dedicated SCons infrastructure, each package can be handled individually. Buildroot currently has the following SCons based packages: